QGIS Application - Bug report #21709
DB Manager python error on layer preview
2019-03-29 08:23 PM - Man Andman

Status: Open

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.6.2 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29525
Description

There is a python error when | try to see layer preview in DB Manager. (see attached gif)

Python error is below

WARNING Traceback (most recent call last):
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\db_manager.py", line 119, in tabChanged
self.refreshTabs()
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\db_manager.py", line 142, in refreshTabs
self.preview.loadPreview(item)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\layer_preview.py", line 62, in loadPreview
self._clear()
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_manager\layer_preview.py", line 89, in _clear
self._loadTablePreview(None)
File "C:/PROGRA~1/QGIS3~1.6/apps/qgis/./python/plugins\db_managen\layer_preview.py", line 132, in _loadTablePreview
self.currentLayerld = vl.id()
AttributeError: 'NoneType' object has no attribute 'id'

History

#1 - 2019-03-29 08:37 PM - Giovanni Manghi
- Easy fix? changed from Yes to No

- Regression? changed from No to Yes

- Operating System deleted (Windows 10)

- Subject changed from QGIS 3.6 DB Manager doesn't show layer preview to DB Manager python error on layer preview

Confirmed on Linux too.

#2 - 2019-05-09 01:41 PM - Giovanni Manghi
- Affected QGIS version changed from 3.6.1 to 3.6.2

works on 3.4.7
